#Dwarf Temple (down)
from eventAPI import showPicture, tickGame, setExit, getTag
from APIUtils import poseYesNo, showMessage

def fireEvent(e):
    DwarfPlt = getTag(e, "DwarfPlt1")
    if (DwarfPlt < 4):
        showMessage(e,
            ["There seems to be an impassable magical force here, you can go no further"])
        return 0
    showPicture(e, "Stairs_D")
    if (poseYesNo(e,
        ["You see dark and mysterious stairs leading down into the aqncient Dwarven Temple.",
	 "Do you venture the forgotten unknown?"])):
        tickGame(e, 120)
        setExit(e, "maps/dwarf_temple.cfg", 9, 2, 0)
